QuantitativeDescriptors {cheddar} | R Documentation

## Quantitative descriptors

### Description

Quantitative descriptors after Bersier at al Ecology 2002.

### Usage

    NodeQuantitativeDescriptors(community, weight)
    QuantitativeDescriptors(community, weight, top.level.threshold=0.99)

### Arguments

`community` | an object of class `Community`.
`weight` | the name of a tropic-link property with which quantitative descriptors should be computed. It can be the name of a first-class property (returned by `TrophicLinkPropertyNames`) or the name of a function that takes a `Community` object as the only parameter and a vector of length `NumberOfTrophicLinks`.
`top.level.threshold` | TODO

### Details

Quantitative food-web descriptors as described by Bersier et al 2002 Ecology.

NodeQuantitativeDescriptors computes a table of node-level quantitative descripttors, as presented in Bersier et al 2002, Table 1. It returns a `matrix` with columns NResources, NConsumers, bIn, bOut, nN, nP, d.prime, d, o.prime, o, g.prime, g, v.prime, v.

QuantitativeDescriptors computes values presented in Bersier et al 2002 Table 2. It returns a `matrix` with columns Qualitative, Unweighted and Weighted and rows Fraction top level, Fraction intermediate, Fraction basal, Ratio resources:consumers, Link density, Connectance, Fraction links top:intermediate, Fraction links top:basal, Fraction links intermediate:intermediate, Fraction links intermediate:basal, Mean chain length, Median chain length, SD chain length, Max chain length, Degree of omnivory, Generality, Vulnerability, SD standardised generality, SD standardised vulnerability.

### Value

A `matrix`.

### Author(s)

Lawrence Hudson

### References

Bersier, L. and Banasek-Richter, C. and Cattin, M. (2002) Ecology 80 2394–2407.

### See Also

`TrophicLinkPropertyNames`, `NumberOfTrophicLinks`, `NumberOfNodes`

### Examples

    data(ChesapeakeBay)
    QuantitativeDescriptors(ChesapeakeBay, 'biomass.flow')
    NodeQuantitativeDescriptors(ChesapeakeBay, 'biomass.flow')

[Package cheddar version 0.1-633 Index]